Bug 96981 - postmaster does not restart after ungraceful exit
Summary: postmaster does not restart after ungraceful exit
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-07 20:02 UTC by Laurent Deniel
Modified: 2013-07-03 02:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 19:34:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /etc/init.d/postgresql (474 bytes, patch)
2003-06-07 20:09 UTC, Laurent Deniel
no flags Details | Diff

Description Laurent Deniel 2003-06-07 20:02:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
In case of ungraceful exit of postmaster (or machine crash), the 
postmaster deamon can no longer be restarted at boot phase or using 
/etc/init.d/postgresql start

Version-Release number of selected component (if applicable):
7.3.2

How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/postgresql stop
2.touch /var/lib/pgsql/data/postmaster.pid
3./etc/init.d/postgresql start
    

Actual Results:  [FAILED]


Expected Results:  [OK]

Additional info:

Fix attached.

Comment 1 Laurent Deniel 2003-06-07 20:09:01 UTC
Created attachment 92242 [details]
patch to /etc/init.d/postgresql

Comment 2 Andrew Overholt 2003-06-09 14:12:50 UTC
The init script is currently being completely overhauled.  I will make sure that
your suggestion is taken into consideration.

Comment 3 Tom Lane 2004-10-05 19:34:23 UTC
I've finally found a hack that solves this problem without the risks
involved in forcibly deleting the lock file.  It's fixed for FC3 and
RHEL3 U4.  See bug #134090.


Note You need to log in before you can comment on or make changes to this bug.